org.eclipse.net4j.util.options

## Interface IOptions

- All Superinterfaces:
    INotifier

      public interface IOptions
      extends INotifier

  Encapsulates a set of notifying configuration options.
  Since:
    2.0
  Author:
    Victor Roldan Betancort
  See Also:
    `IOptionsContainer`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IOptionsContainer` | `getContainer()` Returns the container of this options object.

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getContainer

          IOptionsContainer getContainer()

      Returns the container of this options object.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html